org.opencv.ximgproc

## Class GraphSegmentation

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.GraphSegmentation

-     public class GraphSegmentation
      extends Algorithm

  Graph Based Segmentation Algorithm. The class implements the algorithm described in CITE: PFF2004 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GraphSegmentation(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GraphSegmentation` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `float` | `getK()`
    `int` | `getMinSize()`
    `double` | `getSigma()`
    `void` | `processImage(Mat src, Mat dst)` Segment an image and store output in dst
    `void` | `setK(float k)`
    `void` | `setMinSize(int min_size)`
    `void` | `setSigma(double sigma)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphSegmentation

          protected GraphSegmentation(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static GraphSegmentation __fromPtr__(long addr)

    - #### getSigma

          public double getSigma()

    - #### getK

          public float getK()

    - #### getMinSize

          public int getMinSize()

    - #### processImage

          public void processImage(Mat src,
                                   Mat dst)

      Segment an image and store output in dst
      Parameters:
        `src` - The input image. Any number of channel (1 (Eg: Gray), 3 (Eg: RGB), 4 (Eg: RGB-D)) can be provided
        `dst` - The output segmentation. It's a CV_32SC1 Mat with the same number of cols and rows as input image, with an unique, sequential, id for each pixel.

    - #### setK

          public void setK(float k)

    - #### setMinSize

          public void setMinSize(int min_size)

    - #### setSigma

          public void setSigma(double sigma)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8